PropertyCopy (Ant Contrib)
Keywords: net.sf.antcontrib.property.PropertyCopy class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.property
Class PropertyCopy

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              net.sf.antcontrib.property.AbstractPropertySetterTask
                  net.sf.antcontrib.property.PropertyCopy

    public class PropertyCopy

extends AbstractPropertySetterTask

Task definition for the propertycopy task, which copies the value of a named property to another property. This is useful when you need to plug in the value of another property in order to get a property name and then want to get the value of that property name.

     Usage:

       Task declaration in the project:

         <taskdef name="propertycopy" classname="net.sf.antcontrib.property.PropertyCopy" />

       Call Syntax:

         <propertycopy name="propname" from="copyfrom" (silent="true|false")? />

       Attributes:
         name      --> The name of the property you wish to set with the value
         from      --> The name of the property you wish to copy the value from
         silent    --> Do you want to suppress the error if the "from" property
                       does not exist, and just not set the property "name".  Default
                       is false.

       Example:
         <property name="org" value="MyOrg" />
         <property name="org.MyOrg.DisplayName" value="My Organiziation" />
         <propertycopy name="displayName" from="org.${org}.DisplayName" />
         <echo message="${displayName}" />

Author:
  Matthew Inger

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`PropertyCopy()` Default Constructor

Method Summary
`void` | `execute()`
`void` | `setFrom(java.lang.String from)`
`void` | `setName(java.lang.String name)`
`void` | `setSilent(boolean silent)`
`protected void` | `validate()`

Methods inherited from class net.sf.antcontrib.property.AbstractPropertySetterTask
`setOverride, setProperty, setPropertyValue`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyCopy

    public PropertyCopy()

  Default Constructor

Method Detail

### setName

    public void setName(java.lang.String name)

### setFrom

    public void setFrom(java.lang.String from)

### setSilent

    public void setSilent(boolean silent)

### validate

    protected void validate()

  Overrides:
    `validate` in class `AbstractPropertySetterTask`

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Overrides:
    `execute` in class `org.apache.tools.ant.Task`
  Throws:
    `org.apache.tools.ant.BuildException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD